DistanceUnits (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.geometry.DistanceUnits class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.spatial.geometry
Enum DistanceUnits

    java.lang.Object
      java.lang.Enum<DistanceUnits>
          org.apache.lucene.spatial.geometry.DistanceUnits

All Implemented Interfaces:
  Serializable, Comparable<DistanceUnits>

Deprecated.

    @Deprecated
    public enum DistanceUnits

extends Enum<DistanceUnits>

Enum representing difference distance units, currently only kilometers and miles

Enum Constant Summary
`KILOMETERS` Deprecated.
`MILES` Deprecated.

Method Summary
`double` | `convert(double distance, DistanceUnits from)` Deprecated. Converts the given distance in given DistanceUnit, to a distance in the unit represented by `this`
`double` | `earthCircumference()` Deprecated. Returns the circumference of the Earth
`double` | `earthRadius()` Deprecated. Returns the average earth radius
`static DistanceUnits` | `findDistanceUnit(String unit)` Deprecated. Returns the DistanceUnit which represents the given unit
`String` | `getUnit()` Deprecated. Returns the string representation of the distance unit
`static DistanceUnits` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static DistanceUnits[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MILES

    public static final DistanceUnits MILES

  Deprecated.

### KILOMETERS

    public static final DistanceUnits KILOMETERS

  Deprecated.

Method Detail

### values

    public static final DistanceUnits[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DistanceUnits c : DistanceUnits.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DistanceUnits valueOf(String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### findDistanceUnit

    public static DistanceUnits findDistanceUnit(String unit)

  Deprecated.
  Returns the DistanceUnit which represents the given unit

  Parameters:
    `unit` - Unit whose DistanceUnit should be found
  Returns:
    DistanceUnit representing the unit
  Throws:
    `IllegalArgumentException` - if no DistanceUnit which represents the given unit is found

### convert

    public double convert(double distance,
                          DistanceUnits from)

  Deprecated.
  Converts the given distance in given DistanceUnit, to a distance in the unit represented by `this`

  Parameters:
    `distance` - Distance to convert
    `from` - Unit to convert the distance from
  Returns:
    Given distance converted to the distance in the given unit

### getUnit

    public String getUnit()

  Deprecated.
  Returns the string representation of the distance unit

  Returns:
    String representation of the distance unit

### earthRadius

    public double earthRadius()

  Deprecated.
  Returns the average earth radius

  Returns:
    the average earth radius

### earthCircumference

    public double earthCircumference()

  Deprecated.
  Returns the circumference of the Earth

  Returns:
    the circumference of the Earth

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD